@echo off
setlocal

REM Set the name of the virtual environment
set VENV_NAME=myvenv

REM Check if Python 3.10 is available
python --version 2>&1 | findstr /C:"3.10" > nul
if errorlevel 1 (
    echo Python 3.10 not found!
    exit /b
)

REM Create a virtual environment
python -m venv %VENV_NAME%

REM Activate the virtual environment
call %VENV_NAME%\Scripts\activate.bat

REM Install the specified packages
pip install vtk pyqt5 pyvista itkwidgets spyder notebook

REM Notify the user that the setup is complete
echo.
echo Setup complete!

endlocal
